lookupservice(1)

NAME
lookupservice - Server program to serve messages over XML-RPC As this is implemented using the base classes (see storage.base), the work is minimal to use this with any storage format that is implemented using the base classes. Strictly speaking, only an init... function needs to be registered.

SYNOPSIS

lookupservice [--version] [-h|--help] [--manpage] [--progress PROGRESS] [--errorlevel ERRORLEVEL] [-i|--input] INPUT [--psyco MODE] [-a|--address] [-p|--port] [-l|--language LANG] [--source-language LANG] [--columnorder]

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

--manpage
    output a manpage based on the help

--progress=PROGRESS
    show progress as: dots, none, bar, names, verbose

--errorlevel=ERRORLEVEL
    show errorlevel as: none, message, exception, traceback

-iINPUT, --input=INPUT
    read from INPUT in tmx, tbx, csv, po, pot formats

--psyco=MODE
    use psyco to speed up the operation, modes: none, full, profile

-aADDRESS, --address=ADDRESS
    the host to bind to

-pPORT, --port=PORT
    the port to listen on

-lLANG, --language=LANG
    set target language code

--source-language=LANG
    set source language code

--columnorder=COLUMNORDER
    specify the order and position of columns for CSV (comment,source,target)